import { isReferenceObject } from "./isReferenceObject";
import { resolveReference } from "./resolveReference";
export function resolveContentDescriptorObject(contentDescriptor, document) {
    if (isReferenceObject(contentDescriptor)) {
        return resolveReference(contentDescriptor, document, { name: "", schema: { type: "object" } });
    }
    return contentDescriptor;
}
